Update Hosted Zone

1 - 1.3

put /v1/hosted-zones/{hosted_zone_id}

Description

Update a hosted zone.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.3-

Parameters

TypeNameDescriptionSchemaDefault
pathhosted_zone_id
required
Id
Example :
stringNone
bodybody
required

HostedZoneSetRequestV1Dot3

Responses

HTTP CodeDescriptionSchema
202AcceptedHostedZoneShowResponseV1Dot3
400Bad RequestNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/hosted-zones/{hosted_zone_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.3"

Request body

{
    "description": "This is description"
}

Example HTTP response

Response 202

{
    "created_at": "2024-05-17T00:23:17Z",
    "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "description": "This is description",
    "hosted_zone_type": "public",
    "id": "3432012nfdksdf03ktrld9234lgfg",
    "modified_at": "2024-05-17T00:23:17Z",
    "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "name": "my-zone.com",
    "pool_id": "10fjksdpooliddfsi12389esfdslkdsr32",
    "private_dns_id": "10fjkewefprivatedns3193rud543",
    "private_dns_name": "private-dns01",
    "status": "CREATING",
    "ttl": "3600"
}

2 - 1.2

put /v1/hosted-zones/{hosted_zone_id}

Description

Update a hosted zone.

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.220260331

Parameters

TypeNameDescriptionSchemaDefault
pathhosted_zone_id
required
Id
Example :
stringNone
bodybody
required

HostedZoneSetRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedHostedZoneShowResponseV1Dot2
400Bad RequestNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/hosted-zones/{hosted_zone_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.2"

Request body

{
    "description": "",
    "email": ""
}

Example HTTP response

Response 202

{
    "action": "",
    "attributes": "",
    "created_at": "",
    "description": "",
    "email": "",
    "hosted_zone_type": "",
    "id": "",
    "links": "",
    "masters": [
        ""
    ],
    "name": "",
    "pool_id": "",
    "private_dns_id": "",
    "private_dns_name": "",
    "project_id": "",
    "serial": "",
    "shared": "",
    "status": "",
    "transferred_at": "",
    "ttl": "",
    "type": "",
    "updated_at": "",
    "version": ""
}

3 - 1.1

put /v1/hosted-zones/{hosted_zone_id}

Description

Update a hosted zone

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260331

Parameters

TypeNameDescriptionSchemaDefault
pathhosted_zone_id
required
Id
Example :
stringNone
bodybody
required

HostedZoneSetRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedHostedZoneSetResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/hosted-zones/{hosted_zone_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.1"

Request body

{
    "description": "",
    "email": ""
}

Example HTTP response

Response 202

{
    "action": "",
    "attributes": "",
    "created_at": "",
    "description": "",
    "email": "",
    "hosted_zone_type": "",
    "id": "",
    "links": "",
    "masters": [
        ""
    ],
    "name": "",
    "pool_id": "",
    "project_id": "",
    "serial": "",
    "shared": "",
    "status": "",
    "transferred_at": "",
    "ttl": "",
    "type": "",
    "updated_at": "",
    "version": ""
}

4 - 1.0

put /v1/hosted-zones/{hosted_zone_id}

Description

Update a hosted zone

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathhosted_zone_id
required
Id
Example :
stringNone
bodybody
required

HostedZoneSetRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedHostedZoneSetResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/hosted-zones/{hosted_zone_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.0"

Request body

{
    "description": "",
    "email": ""
}

Example HTTP response

Response 202

{
    "action": "",
    "attributes": "",
    "created_at": "",
    "description": "",
    "email": "",
    "hosted_zone_type": "",
    "id": "",
    "links": "",
    "masters": [
        ""
    ],
    "name": "",
    "pool_id": "",
    "project_id": "",
    "serial": "",
    "shared": "",
    "status": "",
    "transferred_at": "",
    "ttl": "",
    "type": "",
    "updated_at": "",
    "version": ""
}